### Struct

# Ggit RebaseOptions

#### Description [src]

    struct GgitRebaseOptions {
      /* No available fields */
    }

Represents the options used when rebasing.

#### Constructors

###### ggit_rebase_options_new

Creates a new `GgitRebaseOptions`.

#### Instance methods

###### ggit_rebase_options_copy

Copies `rebase_options` into a newly allocated `GgitRebaseOptions`.

###### ggit_rebase_options_free

Frees `rebase_options`.

###### ggit_rebase_options_get_checkout_options

Get the checkout options object or `NULL` if not set.

###### ggit_rebase_options_get_quiet

Gets whether you want a quiet rebase experience.

###### ggit_rebase_options_get_rewrite_notes_ref

Gets the the name of the notes reference used to rewrite notes for rebased commits when finishing the rebase or `NULL` if not set.

###### ggit_rebase_options_set_checkout_options

No description available.

###### ggit_rebase_options_set_quiet

Used by ggit_rebase_init(), this will instruct other clients working on this rebase that you want a quiet rebase experience, which they may choose to provide in an application-specific manner. This has no effect upon libgit2-glib directly, but is provided for interoperability between Git tools.

###### ggit_rebase_options_set_rewrite_notes_ref

Used by ggit_rebase_finish(), this is the name of the notes reference used to rewrite notes for rebased commits when finishing the rebase; if `NULL`, the contents of the configuration option `notes.rewriteRef` is examined, unless the configuration option `notes.rewrite.rebase` is set to false. If `notes.rewriteRef` is also `NULL`, notes will not be rewritten.